{{- if .Values.ingress.enabled -}}
{{- $fullName := include "frontend.fullname" . -}}
{{- $svcPort := .Values.service.port -}}
{{- if and .Values.ingress.className (not (semverCompare ">=1.18-0" .Capabilities.KubeVersion.GitVersion)) }}
  {{- if not (hasKey .Values.ingress.annotations "kubernetes.io/ingress.class") }}
  {{- $_ := set .Values.ingress.annotations "kubernetes.io/ingress.class" .Values.ingress.className}}
  {{- end }}
{{- end }}
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: {{ $fullName }}
  labels:
    {{- include "frontend.labels" . | nindent 4 }}
  {{- with .Values.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  entryPoints:
    - websecure
  routes:
    - kind: Rule
      # match: Host(`test1.nadadmin.nadarobotics.com`)
      match: Host(`{{ .Values.global.host }}.{{ .Values.global.domain }}`)
      priority: 10
      services:
        - name: {{ include "frontend.fullname" . }}
          port: 80
    - kind: Rule
      match: Host(`{{ .Values.global.host }}.{{ .Values.global.domain }}`) && Headers(`Content-Type`, `application/grpc`)
      priority: 11
      services:
        - name: {{ include "frontend.fullname" . }}
          port: 80
          scheme: h2c
    - kind: Rule
      match: Host(`webapp.local`)
      priority: 10
      services:
        - name: {{ include "frontend.fullname" . }}
          port: 80
    - kind: Rule
      match: Host(`webapp.local`) && Headers(`Content-Type`, `application/grpc`)
      priority: 11
      services:
        - name: {{ include "frontend.fullname" . }}
          port: 80
          scheme: h2c
  tls:
    certResolver: default
  # {{- if and .Values.ingress.className (semverCompare ">=1.18-0" .Capabilities.KubeVersion.GitVersion) }}
  # ingressClassName: {{ .Values.ingress.className }}
  # {{- end }}
  # {{- if .Values.ingress.tls }}
  # tls:
  #   {{- range .Values.ingress.tls }}
  #   - hosts:
  #       {{- range .hosts }}
  #       - {{ . | quote }}
  #       {{- end }}
  #     secretName: {{ .secretName }}
  #   {{- end }}
  # {{- end }}
  # rules:
  #   {{- range .Values.ingress.hosts }}
  #   - host: {{ .host | quote }}
  #     http:
  #       paths:
  #         {{- range .paths }}
  #         - path: {{ .path }}
  #           {{- if and .pathType (semverCompare ">=1.18-0" $.Capabilities.KubeVersion.GitVersion) }}
  #           pathType: {{ .pathType }}
  #           {{- end }}
  #           backend:
  #             {{- if semverCompare ">=1.19-0" $.Capabilities.KubeVersion.GitVersion }}
  #             service:
  #               name: {{ $fullName }}
  #               port:
  #                 number: {{ $svcPort }}
  #             {{- else }}
  #             serviceName: {{ $fullName }}
  #             servicePort: {{ $svcPort }}
  #             {{- end }}
  #         {{- end }}
  #   {{- end }}
{{- end }}
